# Method: analyzeOrgPolicies

- [HTTP request](https://docs.cloud.google.com/asset-inventory/docs/reference/rest/v1/TopLevel/analyzeOrgPolicies#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/asset-inventory/docs/reference/rest/v1/TopLevel/analyzeOrgPolicies#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/asset-inventory/docs/reference/rest/v1/TopLevel/analyzeOrgPolicies#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/asset-inventory/docs/reference/rest/v1/TopLevel/analyzeOrgPolicies#body.request_body)
- [Response body](https://docs.cloud.google.com/asset-inventory/docs/reference/rest/v1/TopLevel/analyzeOrgPolicies#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/asset-inventory/docs/reference/rest/v1/TopLevel/analyzeOrgPolicies#body.AnalyzeOrgPoliciesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/asset-inventory/docs/reference/rest/v1/TopLevel/analyzeOrgPolicies#body.aspect)
- [OrgPolicyResult](https://docs.cloud.google.com/asset-inventory/docs/reference/rest/v1/TopLevel/analyzeOrgPolicies#OrgPolicyResult)
  - [JSON representation](https://docs.cloud.google.com/asset-inventory/docs/reference/rest/v1/TopLevel/analyzeOrgPolicies#OrgPolicyResult.SCHEMA_REPRESENTATION)
- [Try it!](https://docs.cloud.google.com/asset-inventory/docs/reference/rest/v1/TopLevel/analyzeOrgPolicies#try-it)

Analyzes organization policies under a scope.

### HTTP request

`GET https://cloudasset.googleapis.com/v1/{scope=*/*}:analyzeOrgPolicies`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `scope` | `string` Required. The organization to scope the request. Only organization policies within the scope will be analyzed. - organizations/{ORGANIZATION_NUMBER} (e.g., "organizations/123456") Authorization requires one or more of the following [IAM](https://cloud.google.com/iam/docs/) permissions on the specified resource `scope`: - `cloudasset.assets.searchAllResources` - `cloudasset.assets.analyzeOrgPolicy` |

### Query parameters

| Parameters ||
|---|---|
| `constraint` | `string` Required. The name of the constraint to analyze organization policies for. The response only contains analyzed organization policies for the provided constraint. |
| `filter` | `string` The expression to filter `https://docs.cloud.google.com/asset-inventory/docs/reference/rest/v1/TopLevel/analyzeOrgPolicies#body.AnalyzeOrgPoliciesResponse.FIELDS.org_policy_results`. Filtering is currently available for bare literal values and the following fields: \* consolidatedPolicy.attached_resource \* consolidatedPolicy.rules.enforce When filtering by a specific field, the only supported operator is `=`. For example, filtering by consolidatedPolicy.attached_resource="//cloudresourcemanager.googleapis.com/folders/001" will return all the Organization Policy results attached to "folders/001". |
| `pageToken` | `string` The pagination token to retrieve the next page. |
| `pageSize` | `integer` The maximum number of items to return per page. If unspecified, `https://docs.cloud.google.com/asset-inventory/docs/reference/rest/v1/TopLevel/analyzeOrgPolicies#body.AnalyzeOrgPoliciesResponse.FIELDS.org_policy_results` will contain 20 items with a maximum of 200. |

### Request body

The request body must be empty.

### Response body

The response message for `https://docs.cloud.google.com/asset-inventory/docs/reference/rest/v1/TopLevel/analyzeOrgPolicies#google.cloud.asset.v1.AssetService.AnalyzeOrgPolicies`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "orgPolicyResults": [ { object (`https://docs.cloud.google.com/asset-inventory/docs/reference/rest/v1/TopLevel/analyzeOrgPolicies#OrgPolicyResult`) } ], "constraint": { object (`https://docs.cloud.google.com/asset-inventory/docs/reference/rest/v1/AnalyzerOrgPolicyConstraint`) }, "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `orgPolicyResults[]` | ``object (`https://docs.cloud.google.com/asset-inventory/docs/reference/rest/v1/TopLevel/analyzeOrgPolicies#OrgPolicyResult`)`` The organization policies under the `https://docs.cloud.google.com/asset-inventory/docs/reference/rest/v1/TopLevel/analyzeOrgPolicies#body.PATH_PARAMETERS.scope` with the `https://docs.cloud.google.com/asset-inventory/docs/reference/rest/v1/TopLevel/analyzeOrgPolicies#body.QUERY_PARAMETERS.constraint`. |
| `constraint` | ``object (`https://docs.cloud.google.com/asset-inventory/docs/reference/rest/v1/AnalyzerOrgPolicyConstraint`)`` The definition of the constraint in the request. |
| `nextPageToken` | `string` The page token to fetch the next page for `https://docs.cloud.google.com/asset-inventory/docs/reference/rest/v1/TopLevel/analyzeOrgPolicies#body.AnalyzeOrgPoliciesResponse.FIELDS.org_policy_results`. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

## OrgPolicyResult

The organization policy result to the query.

| JSON representation |
|---|
| ``` { "consolidatedPolicy": { object (`https://docs.cloud.google.com/asset-inventory/docs/reference/rest/v1/AnalyzerOrgPolicy`) }, "policyBundle": [ { object (`https://docs.cloud.google.com/asset-inventory/docs/reference/rest/v1/AnalyzerOrgPolicy`) } ], "project": string, "folders": [ string ], "organization": string } ``` |

| Fields ||
|---|---|
| `consolidatedPolicy` | ``object (`https://docs.cloud.google.com/asset-inventory/docs/reference/rest/v1/AnalyzerOrgPolicy`)`` The consolidated organization policy for the analyzed resource. The consolidated organization policy is computed by merging and evaluating `https://docs.cloud.google.com/asset-inventory/docs/reference/rest/v1/TopLevel/analyzeOrgPolicies#OrgPolicyResult.FIELDS.policy_bundle`. The evaluation will respect the organization policy [hierarchy rules](https://cloud.google.com/resource-manager/docs/organization-policy/understanding-hierarchy). |
| `policyBundle[]` | ``object (`https://docs.cloud.google.com/asset-inventory/docs/reference/rest/v1/AnalyzerOrgPolicy`)`` The ordered list of all organization policies from the `https://docs.cloud.google.com/asset-inventory/docs/reference/rest/v1/AnalyzerOrgPolicy#FIELDS.attached_resource`. to the scope specified in the request. If the constraint is defined with default policy, it will also appear in the list. |
| `project` | `string` The project that this consolidated policy belongs to, in the format of projects/{PROJECT_NUMBER}. This field is available when the consolidated policy belongs to a project. |
| `folders[]` | `string` The folder(s) that this consolidated policy belongs to, in the format of folders/{FOLDER_NUMBER}. This field is available when the consolidated policy belongs (directly or cascadingly) to one or more folders. |
| `organization` | `string` The organization that this consolidated policy belongs to, in the format of organizations/{ORGANIZATION_NUMBER}. This field is available when the consolidated policy belongs (directly or cascadingly) to an organization. |